VPS侦探论坛

 找回密码
 注册
查看: 364|回复: 9

centos8安装lnmp1.8的mysql问题

[复制链接]
发表于 2021-10-12 16:15:44 | 显示全部楼层 |阅读模式




安装文档上说:
  • MySQL 8.0.24以上版本升级或安装必须Debian 11+,Ubuntu 20.04+,Fedora 33+且必须使用1.8!!!
那就是说centos8装不了mysql8.0.24以上的,那么安装lnmp1.8选择mysql的时候只有8.0.25,不然就是myql5了,

不知道要怎么装这个mysql8?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-10-12 21:41:15 | 显示全部楼层


依赖包版本太低满足不了安装要求,用上面说的支持的linux发行版本或者centos steam 8
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-10-13 08:54:33 | 显示全部楼层



licess 发表于 2021-10-12 21:41
依赖包版本太低满足不了安装要求,用上面说的支持的linux发行版本或者centos steam 8 ...

请问有什么方法可以  在装lnmp的时候,可以选mysql8版本并且8.0.23以下?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-10-13 15:43:51 | 显示全部楼层



wan295686243 发表于 2021-10-13 08:54
请问有什么方法可以  在装lnmp的时候,可以选mysql8版本并且8.0.23以下?

要改版本需要修改include/version.sh
如果对应版本在soft.vpser.net上没有的话需要自行下载对应mysql版本的带boost的tar.gz包到安装包src目录下,并将文件名中的-boost去掉
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 7 天前 | 显示全部楼层

licess 发表于 2021-10-13 15:43
要改版本需要修改include/version.sh
如果对应版本在soft.vpser.net上没有的话需要自行下载对应mysql版 ...

请问我要如何知道soft.vpser.net上是否有我需要的mysql或php版本?

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 7 天前 | 显示全部楼层

wan295686243 发表于 2021-10-19 09:15
请问我要如何知道soft.vpser.net上是否有我需要的mysql或php版本?

http://soft.vpser.net/datebase/mysql/ 可以看到上面具体有那些版本、php同理
发表于 5 天前 | 显示全部楼层

licess 发表于 2021-10-12 21:41
依赖包版本太低满足不了安装要求,用上面说的支持的linux发行版本或者centos steam 8 ...

阿里云没有 centos steam 8这个选项,只有 centos 然后版本号
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 5 天前 | 显示全部楼层



63490794 发表于 2021-10-21 11:27
阿里云没有 centos steam 8这个选项,只有 centos 然后版本号

debian、ubuntu随便一个都比centos香
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 5 天前 | 显示全部楼层


licess 发表于 2021-10-21 15:06
debian、ubuntu随便一个都比centos香

哈哈,没用过这些,怕不会,但是还是在勇敢尝试了,装的是debian 10

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 4 天前 | 显示全部楼层



63490794 发表于 2021-10-21 17:23
哈哈,没用过这些,怕不会,但是还是在勇敢尝试了,装的是debian 10

只是包管理有些差异,大部分都是相同的
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-10-26 07:17 , Processed in 0.059465 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表